#define RFSV_VERSION 2
extern "C" __declspec(dllexport) int32 RunServer(void);

void WordToBytes(unsigned int i, unsigned char *p);
void LongToBytes(unsigned long l, unsigned char *p);
unsigned int BytesToWord(const unsigned char *c);
unsigned long BytesToLong(const unsigned char *c);

int open_file(const char *name, int status);
int close_file(int fd);
int get_next_device(int fd, unsigned char * buffer);

int parse_file(char *file1, char *file2, char *file3, unsigned char *werte);
int copy_filesystem(const char *in, char *filesys);
int copy_device(const char *in, char *device);
int copy_path(const char *in, char *path);
int copy_filename(const char *in, char *filename);

int fill_dir_buffer(int fd, unsigned char *buffer, size_t len);
int get_status(BEntry *bent, unsigned char *buffer);
void get_dev_stat(BVolume *bvol, unsigned char *buffer, char *dir);
int get_device(char *device, unsigned char *buffer);
int make_dir(const char *dirname);
int delete_file(const char *dirname);
int rename_file(const char *file_old, const char *file_new);
int change_dir(int art, const char *start, const char *zusatz, char *ergebnis);
int32 fseek_file(int fd, long anz, int mode);
int write_file(int fd, int anz, const unsigned char *buffer);
int read_file(int fd, int anz, unsigned char *buffer);
int set_filestat(const char *filename, int bit, int mask);
int set_crdate(const char *filename, long secs);
char *find_filename(const char *filename);
int seteof_file(int fd, long laenge);
